<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1thread__pool.html">thread_pool</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::thread_pool Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(T &amp;obj, void(T::*funct)()) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(T &amp;obj, void(T::*funct)(long), long arg1) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(T &amp;obj, void(T::*funct)(long, long), long arg1, long arg2) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(F &amp;function_object) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(const T &amp;obj, void(T::*funct)() const) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(void(*funct)()) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(F &amp;function_object, future&lt; A1 &gt; &amp;arg1) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(T &amp;obj, void(T::*funct)(T1), future&lt; A1 &gt; &amp;arg1) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(const T &amp;obj, void(T::*funct)(T1) const, future&lt; A1 &gt; &amp;arg1) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(void(*funct)(T1), future&lt; A1 &gt; &amp;arg1) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(F &amp;function_object, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(T &amp;obj, void(T::*funct)(T1, T2), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(const T &amp;obj, void(T::*funct)(T1, T2) const, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(void(*funct)(T1, T2), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(F &amp;function_object, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(T &amp;obj, void(T::*funct)(T1, T2, T3), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(const T &amp;obj, void(T::*funct)(T1, T2, T3) const, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(void(*funct)(T1, T2, T3), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(F &amp;function_object, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3, future&lt; A4 &gt; &amp;arg4) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(T &amp;obj, void(T::*funct)(T1, T2, T3, T4), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3, future&lt; A4 &gt; &amp;arg4) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task</b>(const T &amp;obj, void(T::*funct)(T1, T2, T3, T4) const, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3, future&lt; A4 &gt; &amp;arg4) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task</b>(void(*funct)(T1, T2, T3, T4), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3, future&lt; A4 &gt; &amp;arg4) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task_by_value</b>(const F &amp;function_object) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)() const) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)()) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task_by_value</b>(const F &amp;function_object, future&lt; A1 &gt; &amp;arg1) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)(T1), future&lt; A1 &gt; &amp;arg1) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)(T1) const, future&lt; A1 &gt; &amp;arg1) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task_by_value</b>(const F &amp;function_object, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)(T1, T2), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)(T1, T2) const, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task_by_value</b>(const F &amp;function_object, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)(T1, T2, T3), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)(T1, T2, T3) const, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task_by_value</b>(const F &amp;function_object, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3, future&lt; A4 &gt; &amp;arg4) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)(T1, T2, T3, T4), future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3, future&lt; A4 &gt; &amp;arg4) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_task_by_value</b>(const T &amp;obj, void(T::*funct)(T1, T2, T3, T4) const, future&lt; A1 &gt; &amp;arg1, future&lt; A2 &gt; &amp;arg2, future&lt; A3 &gt; &amp;arg3, future&lt; A4 &gt; &amp;arg4) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html#a84d84057cc8fdf34a7e63d4432d76136">bfp_type</a> typedef</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>impl</b> (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>is_task_thread</b>() const (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>num_threads_in_pool</b>() const (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator=</b>(thread_pool &amp;) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>thread_pool</b>(unsigned long num_threads) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>thread_pool</b>(thread_pool &amp;) (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>wait_for_all_tasks</b>() const (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>wait_for_task</b>(uint64 task_id) const (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~thread_pool</b>() (defined in <a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a>)</td><td class="entry"><a class="el" href="classdlib_1_1thread__pool.html">dlib::thread_pool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
